### Hierarchy

- DialogProxyTools

## Index

### Properties

- ACTION_PARAMETERS_MODEL_TYPE
- ANNOTATION_MODEL_TYPE
- COMMON_FETCH_CLIENT
- CONTENT_STORAGE_KEY
- DIALOG_MESSAGE_MODEL_TYPE
- DIALOG_STORAGE_KEY
- EDITOR_DIALOG_MODEL_TYPE
- LOGIN_MODEL_TYPE
- PROPERTY_COMMIT_STORAGE_KEY
- PROPERTY_DEF_MODEL_TYPE
- PROPERTY_MODEL_TYPE
- QUERY_DIALOG_MODEL_TYPE
- RECORD_COMMIT_STORAGE_KEY
- RECORD_MODEL_TYPE
- RECORD_SET_MODEL_TYPE
- RECORD_SET_STORAGE_KEY
- RECORD_STORAGE_KEY
- REDIRECTION_STORAGE_KEY
- REFERRING_DIALOG_MODEL_TYPE
- REFERRING_WORKBENCH_MODEL_TYPE
- SESSION_MODEL_TYPE
- STORAGE_KEY_PREFIX

### Methods

- captureDialog
- captureMenuActionRedirectionAndDialog
- captureRecord
- captureRecordSet
- captureWorkbenchActionRedirectionAndDialog
- clearAllStorageAt
- commonFetchClient
- constructDialogMessageModel
- constructLoginModel
- constructNullRedirection
- constructNullRedirectionId
- constructRedirectionStorageKey
- constructRequestNotValidDuringOfflineMode
- isActionParametersModel
- isAnnotationModel
- isDialogModel
- isLoginModel
- isPropertyDefModel
- isPropertyModel
- isRecordModel
- isRecordSetModel
- isReferringDialogModel
- isReferringWorkbenchModel
- isSessionModel
- readDialogAsOfflineResponse
- readDialogAsVisitor
- readDialogRedirectionAsVisitor
- readMenuActionRedirectionAsOfflineResponse
- readMenuActionRedirectionAsVisitor
- readPropertyCommit
- readRecordAsOfflineResponse
- readRecordAsVisitor
- readRecordAsVisitorFromRequest
- readRecordCommitAsVisitor
- readRecordSetAsOfflineResponse
- readRecordSetAsVisitor
- readSessionContentAsOfflineResponse
- readSessionContentAsVisitor
- readWorkbenchActionRedirectionAsOfflineResponse
- showAllStorageKeys
- showAllStorageKeysAndValues
- showStoredDialogNavigation
- writeContentChunk
- writeContentRedirection
- writeDialog
- writeDialogRedirection
- writePropertyCommit
- writeRecord
- writeRecordCommit
- writeRecordSet

## Properties

### Static Private ACTION_PARAMETERS_MODEL_TYPE

ACTION_PARAMETERS_MODEL_TYPE: string = "hxgn.api.dialog.ActionParameters"

- Defined in proxy/DialogProxyTools.ts:23

### Static Private ANNOTATION_MODEL_TYPE

ANNOTATION_MODEL_TYPE: string = "hxgn.api.dialog.Annotation"

- Defined in proxy/DialogProxyTools.ts:24

### Static Private COMMON_FETCH_CLIENT

COMMON_FETCH_CLIENT: FetchClient = new FetchClient()

- Defined in proxy/DialogProxyTools.ts:47

### Static Private CONTENT_STORAGE_KEY

CONTENT_STORAGE_KEY: string = "${userId}.${tenantId}.${contentId}.${sequence}.content"

- Defined in proxy/DialogProxyTools.ts:38

### Static Private DIALOG_MESSAGE_MODEL_TYPE

DIALOG_MESSAGE_MODEL_TYPE: string = "hxgn.api.dialog.DialogMessage"

- Defined in proxy/DialogProxyTools.ts:25

### Static Private DIALOG_STORAGE_KEY

DIALOG_STORAGE_KEY: string = "${userId}.${tenantId}.${dialogId}.dialog"

- Defined in proxy/DialogProxyTools.ts:39

### Static Private EDITOR_DIALOG_MODEL_TYPE

EDITOR_DIALOG_MODEL_TYPE: string = "hxgn.api.dialog.EditorDialog"

- Defined in proxy/DialogProxyTools.ts:26

### Static Private LOGIN_MODEL_TYPE

LOGIN_MODEL_TYPE: string = "hxgn.api.dialog.Login"

- Defined in proxy/DialogProxyTools.ts:27

### Static Private PROPERTY_COMMIT_STORAGE_KEY

PROPERTY_COMMIT_STORAGE_KEY: string = "${userId}.${tenantId}.${dialogId}.${propertyName}.propertycommit"

- Defined in proxy/DialogProxyTools.ts:40

### Static Private PROPERTY_DEF_MODEL_TYPE

PROPERTY_DEF_MODEL_TYPE: string = "hxgn.api.dialog.PropertyDef"

- Defined in proxy/DialogProxyTools.ts:29

### Static Private PROPERTY_MODEL_TYPE

PROPERTY_MODEL_TYPE: string = "hxgn.api.dialog.Property"

- Defined in proxy/DialogProxyTools.ts:28

### Static Private QUERY_DIALOG_MODEL_TYPE

QUERY_DIALOG_MODEL_TYPE: string = "hxgn.api.dialog.QueryDialog"

- Defined in proxy/DialogProxyTools.ts:30

### Static Private RECORD_COMMIT_STORAGE_KEY

RECORD_COMMIT_STORAGE_KEY: string = "${userId}.${tenantId}.${dialogId}.recordcommit"

- Defined in proxy/DialogProxyTools.ts:41

### Static Private RECORD_MODEL_TYPE

RECORD_MODEL_TYPE: string = "hxgn.api.dialog.Record"

- Defined in proxy/DialogProxyTools.ts:31

### Static Private RECORD_SET_MODEL_TYPE

RECORD_SET_MODEL_TYPE: string = "hxgn.api.dialog.RecordSet"

- Defined in proxy/DialogProxyTools.ts:32

### Static Private RECORD_SET_STORAGE_KEY

RECORD_SET_STORAGE_KEY: string = "${userId}.${tenantId}.${dialogId}.recordset"

- Defined in proxy/DialogProxyTools.ts:42

### Static Private RECORD_STORAGE_KEY

RECORD_STORAGE_KEY: string = "${userId}.${tenantId}.${dialogId}.record"

- Defined in proxy/DialogProxyTools.ts:43

### Static Private REDIRECTION_STORAGE_KEY

REDIRECTION_STORAGE_KEY: string = "${userId}.${tenantId}.${stateId}.${actionId}.redirection"

- Defined in proxy/DialogProxyTools.ts:44

### Static Private REFERRING_DIALOG_MODEL_TYPE

REFERRING_DIALOG_MODEL_TYPE: string = "hxgn.api.dialog.ReferringDialog"

- Defined in proxy/DialogProxyTools.ts:33

### Static Private REFERRING_WORKBENCH_MODEL_TYPE

REFERRING_WORKBENCH_MODEL_TYPE: string = "hxgn.api.dialog.ReferringWorkbench"

- Defined in proxy/DialogProxyTools.ts:34

### Static Private SESSION_MODEL_TYPE

SESSION_MODEL_TYPE: string = "hxgn.api.dialog.Session"

- Defined in proxy/DialogProxyTools.ts:35

### Static Private STORAGE_KEY_PREFIX

STORAGE_KEY_PREFIX: string = "${userId}.${tenantId}."

- Defined in proxy/DialogProxyTools.ts:45

## Methods

### Static captureDialog

- captureDialog(userId: string, baseUrl: string, tenantId: string, sessionId: string, dialogId: string, referringDialogId: any): Promise<object>

- - Defined in proxy/DialogProxyTools.ts:49

  #### Parameters

  - ##### userId: string

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### referringDialogId: any

  #### Returns Promise<object>

### Static captureMenuActionRedirectionAndDialog

- captureMenuActionRedirectionAndDialog(userId: string, baseUrl: string, tenantId: string, sessionId: string, dialogId: string, offlineDialogId: string, actionId: string, targetId: string): Promise<any>

- - Defined in proxy/DialogProxyTools.ts:73

  #### Parameters

  - ##### userId: string

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### offlineDialogId: string

  - ##### actionId: string

  - ##### targetId: string

  #### Returns Promise<any>

### Static captureRecord

- captureRecord(userId: string, baseUrl: string, tenantId: string, sessionId: string, beforeAndAfterValues: any, listDialogName: string): Promise<RecordVisitor>

- - Defined in proxy/DialogProxyTools.ts:112

  #### Parameters

  - ##### userId: string

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### beforeAndAfterValues: any

  - ##### listDialogName: string

  #### Returns Promise<RecordVisitor>

### Static captureRecordSet

- captureRecordSet(userId: string, baseUrl: string, tenantId: string, sessionId: string, beforeAndAfterValues: any, listDialogName: string): Promise<RecordSetVisitor>

- - Defined in proxy/DialogProxyTools.ts:136

  #### Parameters

  - ##### userId: string

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### beforeAndAfterValues: any

  - ##### listDialogName: string

  #### Returns Promise<RecordSetVisitor>

### Static captureWorkbenchActionRedirectionAndDialog

- captureWorkbenchActionRedirectionAndDialog(userId: string, baseUrl: string, tenantId: string, sessionId: string, workbenchId: string, actionId: string): Promise<any>

- - Defined in proxy/DialogProxyTools.ts:165

  #### Parameters

  - ##### userId: string

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### workbenchId: string

  - ##### actionId: string

  #### Returns Promise<any>

### Static clearAllStorageAt

- clearAllStorageAt(userId: string, tenantId: string): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:190

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  #### Returns Promise<void>

### Static commonFetchClient

- commonFetchClient(): FetchClient

- - Defined in proxy/DialogProxyTools.ts:205

  #### Returns FetchClient

### Static constructDialogMessageModel

- constructDialogMessageModel(message: string): object

- - Defined in proxy/DialogProxyTools.ts:209

  #### Parameters

  - ##### message: string

  #### Returns object

  - ##### message: string

  - ##### type: string

### Static constructLoginModel

- constructLoginModel(userId: string, password: string): object

- - Defined in proxy/DialogProxyTools.ts:213

  #### Parameters

  - ##### userId: string

  - ##### password: string

  #### Returns object

### Static constructNullRedirection

- constructNullRedirection(tenantId: string, sessionId: string): StringDictionary

- - Defined in proxy/DialogProxyTools.ts:246

  Construct an empty null redirection with the following defaults: referringObject will be a type of "hxgn.api.dialog.ReferringDialog" dialogAlias=null dialogName=null dialogMode='READ' actionId=null dialogId=null refreshNeeded=true id=randomly generated value

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns StringDictionary

### Static constructNullRedirectionId

- constructNullRedirectionId(): string

- - Defined in proxy/DialogProxyTools.ts:265

  #### Returns string

### Static constructRedirectionStorageKey

- constructRedirectionStorageKey(userId: string, tenantId: string, stateId: string, actionId: string): string

- - Defined in proxy/DialogProxyTools.ts:223

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### stateId: string

  - ##### actionId: string

  #### Returns string

### Static constructRequestNotValidDuringOfflineMode

- constructRequestNotValidDuringOfflineMode(action: string, resourcePath: string): JsonClientResponse

- - Defined in proxy/DialogProxyTools.ts:231

  #### Parameters

  - ##### action: string

  - ##### resourcePath: string

  #### Returns JsonClientResponse

### Static isActionParametersModel

- isActionParametersModel(jsonObject: object): boolean

- - Defined in proxy/DialogProxyTools.ts:271

  #### Parameters

  - ##### jsonObject: object

  #### Returns boolean

### Static isAnnotationModel

- isAnnotationModel(jsonObject: object): boolean

- - Defined in proxy/DialogProxyTools.ts:278

  #### Parameters

  - ##### jsonObject: object

  #### Returns boolean

### Static isDialogModel

- isDialogModel(jsonObject: object): boolean

- - Defined in proxy/DialogProxyTools.ts:285

  #### Parameters

  - ##### jsonObject: object

  #### Returns boolean

### Static isLoginModel

- isLoginModel(jsonObject: object): boolean

- - Defined in proxy/DialogProxyTools.ts:293

  #### Parameters

  - ##### jsonObject: object

  #### Returns boolean

### Static isPropertyDefModel

- isPropertyDefModel(jsonObject: object): boolean

- - Defined in proxy/DialogProxyTools.ts:307

  #### Parameters

  - ##### jsonObject: object

  #### Returns boolean

### Static isPropertyModel

- isPropertyModel(jsonObject: object): boolean

- - Defined in proxy/DialogProxyTools.ts:300

  #### Parameters

  - ##### jsonObject: object

  #### Returns boolean

### Static isRecordModel

- isRecordModel(jsonObject: object): boolean

- - Defined in proxy/DialogProxyTools.ts:314

  #### Parameters

  - ##### jsonObject: object

  #### Returns boolean

### Static isRecordSetModel

- isRecordSetModel(jsonObject: object): boolean

- - Defined in proxy/DialogProxyTools.ts:321

  #### Parameters

  - ##### jsonObject: object

  #### Returns boolean

### Static isReferringDialogModel

- isReferringDialogModel(jsonObject: object): boolean

- - Defined in proxy/DialogProxyTools.ts:328

  #### Parameters

  - ##### jsonObject: object

  #### Returns boolean

### Static isReferringWorkbenchModel

- isReferringWorkbenchModel(jsonObject: object): boolean

- - Defined in proxy/DialogProxyTools.ts:335

  #### Parameters

  - ##### jsonObject: object

  #### Returns boolean

### Static isSessionModel

- isSessionModel(jsonObject: object): boolean

- - Defined in proxy/DialogProxyTools.ts:342

  #### Parameters

  - ##### jsonObject: object

  #### Returns boolean

### Static readDialogAsOfflineResponse

- readDialogAsOfflineResponse(userId: string, request: DialogRequest): Promise<JsonClientResponse>

- - Defined in proxy/DialogProxyTools.ts:351

  #### Parameters

  - ##### userId: string

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Static readDialogAsVisitor

- readDialogAsVisitor(userId: string, request: DialogRequest): Promise<DialogVisitor>

- - Defined in proxy/DialogProxyTools.ts:359

  #### Parameters

  - ##### userId: string

  - ##### request: DialogRequest

  #### Returns Promise<DialogVisitor>

### Static readDialogRedirectionAsVisitor

- readDialogRedirectionAsVisitor(userId: string, tenantId: string, stateId: string, actionId: string): Promise<DialogRedirectionVisitor>

- - Defined in proxy/DialogProxyTools.ts:372

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### stateId: string

  - ##### actionId: string

  #### Returns Promise<DialogRedirectionVisitor>

### Static readMenuActionRedirectionAsOfflineResponse

- readMenuActionRedirectionAsOfflineResponse(userId: string, request: DialogRequest): Promise<JsonClientResponse>

- - Defined in proxy/DialogProxyTools.ts:379

  #### Parameters

  - ##### userId: string

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Static readMenuActionRedirectionAsVisitor

- readMenuActionRedirectionAsVisitor(userId: string, request: DialogRequest): Promise<DialogRedirectionVisitor>

- - Defined in proxy/DialogProxyTools.ts:387

  #### Parameters

  - ##### userId: string

  - ##### request: DialogRequest

  #### Returns Promise<DialogRedirectionVisitor>

### Static readPropertyCommit

- readPropertyCommit(userId: string, tenantId: string, dialogId: string, propertyName: string): Promise<any>

- - Defined in proxy/DialogProxyTools.ts:398

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### dialogId: string

  - ##### propertyName: string

  #### Returns Promise<any>

### Static readRecordAsOfflineResponse

- readRecordAsOfflineResponse(userId: string, request: DialogRequest): Promise<JsonClientResponse>

- - Defined in proxy/DialogProxyTools.ts:406

  #### Parameters

  - ##### userId: string

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Static readRecordAsVisitor

- readRecordAsVisitor(userId: string, tenantId: string, dialogId: string): Promise<RecordVisitor>

- - Defined in proxy/DialogProxyTools.ts:414

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### dialogId: string

  #### Returns Promise<RecordVisitor>

### Static readRecordAsVisitorFromRequest

- readRecordAsVisitorFromRequest(userId: string, request: DialogRequest): Promise<RecordVisitor>

- - Defined in proxy/DialogProxyTools.ts:421

  #### Parameters

  - ##### userId: string

  - ##### request: DialogRequest

  #### Returns Promise<RecordVisitor>

### Static readRecordCommitAsVisitor

- readRecordCommitAsVisitor(userId: string, tenantId: string, dialogId: string): Promise<RecordVisitor>

- - Defined in proxy/DialogProxyTools.ts:428

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### dialogId: string

  #### Returns Promise<RecordVisitor>

### Static readRecordSetAsOfflineResponse

- readRecordSetAsOfflineResponse(userId: string, request: DialogRequest): Promise<JsonClientResponse>

- - Defined in proxy/DialogProxyTools.ts:435

  #### Parameters

  - ##### userId: string

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Static readRecordSetAsVisitor

- readRecordSetAsVisitor(userId: string, request: DialogRequest): Promise<RecordSetVisitor>

- - Defined in proxy/DialogProxyTools.ts:443

  #### Parameters

  - ##### userId: string

  - ##### request: DialogRequest

  #### Returns Promise<RecordSetVisitor>

### Static readSessionContentAsOfflineResponse

- readSessionContentAsOfflineResponse(userId: string, request: DialogRequest): Promise<JsonClientResponse>

- - Defined in proxy/DialogProxyTools.ts:462

  #### Parameters

  - ##### userId: string

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Static readSessionContentAsVisitor

- readSessionContentAsVisitor(userId: string, tenantId: string, contentId: string, sequence: number): Promise<LargePropertyVisitor>

- - Defined in proxy/DialogProxyTools.ts:475

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### contentId: string

  - ##### sequence: number

  #### Returns Promise<LargePropertyVisitor>

### Static readWorkbenchActionRedirectionAsOfflineResponse

- readWorkbenchActionRedirectionAsOfflineResponse(userId: string, request: DialogRequest): Promise<JsonClientResponse>

- - Defined in proxy/DialogProxyTools.ts:483

  #### Parameters

  - ##### userId: string

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Static showAllStorageKeys

- showAllStorageKeys(): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:505

  #### Returns Promise<void>

### Static showAllStorageKeysAndValues

- showAllStorageKeysAndValues(): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:516

  #### Returns Promise<void>

### Static showStoredDialogNavigation

- showStoredDialogNavigation(): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:492

  #### Returns Promise<void>

### Static writeContentChunk

- writeContentChunk(userId: string, tenantId: string, contentId: string, sequence: number, largePropertyVisitor: LargePropertyVisitor): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:527

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### contentId: string

  - ##### sequence: number

  - ##### largePropertyVisitor: LargePropertyVisitor

  #### Returns Promise<void>

### Static writeContentRedirection

- writeContentRedirection(userId: string, tenantId: string, stateId: string, actionId: string, contentRedirectionVistor: ContentRedirectionVisitor): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:535

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### stateId: string

  - ##### actionId: string

  - ##### contentRedirectionVistor: ContentRedirectionVisitor

  #### Returns Promise<void>

### Static writeDialog

- writeDialog(userId: string, tenantId: string, dialogVisitor: DialogVisitor): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:542

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### dialogVisitor: DialogVisitor

  #### Returns Promise<void>

### Static writeDialogRedirection

- writeDialogRedirection(userId: string, tenantId: string, stateId: string, actionId: string, dialogRedirectionVistor: DialogRedirectionVisitor): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:549

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### stateId: string

  - ##### actionId: string

  - ##### dialogRedirectionVistor: DialogRedirectionVisitor

  #### Returns Promise<void>

### Static writePropertyCommit

- writePropertyCommit(userId: string, tenantId: string, dialogId: string, propertyName: string, writeLargePropertyParametersVisitor: WriteLargePropertyParametersVisitor): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:556

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### dialogId: string

  - ##### propertyName: string

  - ##### writeLargePropertyParametersVisitor: WriteLargePropertyParametersVisitor

  #### Returns Promise<void>

### Static writeRecord

- writeRecord(userId: string, tenantId: string, dialogId: string, recordVisitor: RecordVisitor): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:572

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### dialogId: string

  - ##### recordVisitor: RecordVisitor

  #### Returns Promise<void>

### Static writeRecordCommit

- writeRecordCommit(userId: string, tenantId: string, dialogId: string, recordVisitor: RecordVisitor): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:579

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### dialogId: string

  - ##### recordVisitor: RecordVisitor

  #### Returns Promise<void>

### Static writeRecordSet

- writeRecordSet(userId: string, tenantId: string, dialogId: string, recordSetVisitor: RecordSetVisitor): Promise<void>

- - Defined in proxy/DialogProxyTools.ts:586

  #### Parameters

  - ##### userId: string

  - ##### tenantId: string

  - ##### dialogId: string

  - ##### recordSetVisitor: RecordSetVisitor

  #### Returns Promise<void>

Generated using TypeDoc